OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
RBTorsionForce Class Reference

This class implements an interaction between groups of four particles that varies with the torsion angle between them according to the Ryckaert-Bellemans potential. More...

Inheritance diagram for RBTorsionForce:

## Public Member Functions
def | getNumTorsions
| getNumTorsions(RBTorsionForce self) -> int More...
def | addTorsion
| addTorsion(RBTorsionForce self, int particle1, int particle2, int particle3, int particle4, double c0, double c1, double c2, double c3, double c4, double c5) -> int More...
def | getTorsionParameters
| getTorsionParameters(RBTorsionForce self, int index) More...
def | setTorsionParameters
| setTorsionParameters(RBTorsionForce self, int index, int particle1, int particle2, int particle3, int particle4, double c0, double c1, double c2, double c3, double c4, double c5) More...
def | updateParametersInContext
| updateParametersInContext(RBTorsionForce self, Context context) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(RBTorsionForce self) -> bool More...
def | __init__
| init(OpenMM::RBTorsionForce self) -> RBTorsionForce init(OpenMM::RBTorsionForce self, RBTorsionForce other) -> RBTorsionForce More...
def | __del__
| del(OpenMM::RBTorsionForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes
| this

## Detailed Description

This class implements an interaction between groups of four particles that varies with the torsion angle between them according to the Ryckaert-Bellemans potential.

To use it, create an RBTorsionForce object then call addTorsion() once for each torsion. After a torsion has been added, you can modify its force field parameters by calling setTorsionParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::RBTorsionForce self) -> RBTorsionForce init(OpenMM::RBTorsionForce self, RBTorsionForce other) -> RBTorsionForce

Create a RBTorsionForce.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::RBTorsionForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addTorsion | ( |  | self,
|  |  | args
| ) |  |

addTorsion(RBTorsionForce self, int particle1, int particle2, int particle3, int particle4, double c0, double c1, double c2, double c3, double c4, double c5) -> int

Add a Ryckaert-Bellemans torsion term to the force field.

Parameters

  particle1 | the index of the first particle forming the torsion
  particle2 | the index of the second particle forming the torsion
  particle3 | the index of the third particle forming the torsion
  particle4 | the index of the fourth particle forming the torsion
  c0 | the coefficient of the constant term, measured in kJ/mol
  c1 | the coefficient of the 1st order term, measured in kJ/mol
  c2 | the coefficient of the 2nd order term, measured in kJ/mol
  c3 | the coefficient of the 3rd order term, measured in kJ/mol
  c4 | the coefficient of the 4th order term, measured in kJ/mol
  c5 | the coefficient of the 5th order term, measured in kJ/mol

References simtk.openmm.openmm.stripUnits().

def getNumTorsions | ( |  | self,
|  |  | args
| ) |  |

getNumTorsions(RBTorsionForce self) -> int

Get the number of Ryckaert-Bellemans torsion terms in the potential function

References simtk.openmm.openmm.stripUnits().

def getTorsionParameters | ( |  | self,
|  |  | args
| ) |  |

getTorsionParameters(RBTorsionForce self, int index)

Get the force field parameters for a Ryckaert-Bellemans torsion term.

Parameters

  index | the index of the torsion for which to get parameters
  particle1 | the index of the first particle forming the torsion
  particle2 | the index of the second particle forming the torsion
  particle3 | the index of the third particle forming the torsion
  particle4 | the index of the fourth particle forming the torsion
  c0 | the coefficient of the constant term, measured in kJ/mol
  c1 | the coefficient of the 1st order term, measured in kJ/mol
  c2 | the coefficient of the 2nd order term, measured in kJ/mol
  c3 | the coefficient of the 3rd order term, measured in kJ/mol
  c4 | the coefficient of the 4th order term, measured in kJ/mol
  c5 | the coefficient of the 5th order term, measured in kJ/mol

References simtk.openmm.openmm.stripUnits().

def setTorsionParameters | ( |  | self,
|  |  | args
| ) |  |

setTorsionParameters(RBTorsionForce self, int index, int particle1, int particle2, int particle3, int particle4, double c0, double c1, double c2, double c3, double c4, double c5)

Set the force field parameters for a Ryckaert-Bellemans torsion term.

Parameters

  index | the index of the torsion for which to set parameters
  particle1 | the index of the first particle forming the torsion
  particle2 | the index of the second particle forming the torsion
  particle3 | the index of the third particle forming the torsion
  particle4 | the index of the fourth particle forming the torsion
  c0 | the coefficient of the constant term, measured in kJ/mol
  c1 | the coefficient of the 1st order term, measured in kJ/mol
  c2 | the coefficient of the 2nd order term, measured in kJ/mol
  c3 | the coefficient of the 3rd order term, measured in kJ/mol
  c4 | the coefficient of the 4th order term, measured in kJ/mol
  c5 | the coefficient of the 5th order term, measured in kJ/mol

References simtk.openmm.openmm.stripUnits().

def updateParametersInContext | ( |  | self,
|  |  | args
| ) |  |

updateParametersInContext(RBTorsionForce self, Context context)

Update the per-torsion parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setTorsionParameters() to modify this object's parameters, then call updateParametersInContext() to copy them over to the Context.

The only information this method updates is the values of per-torsion parameters. The set of particles involved in a torsion cannot be changed, nor can new torsions be added.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(RBTorsionForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py